API ReferenceInvoice
Creates a Invoice resource.
Creates a Invoice resource.
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
The new Invoice resource
TypeScript Definitions
Use the request body type in TypeScript.
invoiceType*string
Value in
- "fv"
- "pf"
- "fk"
- "Vat"
- "Zal"
- "Kor"
- "Roz"
- "Upr"
- "KorZal"
- "KorRoz"
- "VatPef"
- "VatPefSp"
- "KorPef"
- "VatRr"
- "KorVatRr"
direction*string
Default
"income"Value in
- "income"
- "cost"
numbering?string
Format
uuidno?string
Length
length <= 50docTitle?string
Length
length <= 50ksefMarker?|
Length
length <= 6Value in
- "NrKSeF"
- "BFK"
- "OFF"
- "DI"
saleDate?|
Format
date-timeissueDate?|
Format
datedeadlineDate?|
Format
dateissuedPlace?|
Length
length <= 255sellerName?|
Length
length <= 255sellerIdentifier?|
Length
length <= 20sellerStreet?|
Length
length <= 255sellerZipCode?|
Length
length <= 20sellerCity?|
Length
length <= 255sellerCountryCode?|
Length
length <= 2sellerCreatorName?string
Length
length <= 255buyerId?|
Format
uuidbuyerName?|
Length
length <= 255buyerIdentifier?string
Length
length <= 20buyerIdentifierType?string
Default
"nip"Value in
- "nip"
- "vat_eu"
- "other"
- "none"
buyerStreet?|
Length
length <= 255buyerZipCode?|
Length
length <= 20buyerCity?|
Length
length <= 255buyerCountryCode?|
Length
length <= 2buyerRecipientName?|
Length
length <= 255buyerAccountingEmail?|
Format
emailLength
length <= 255buyerIsJst*boolean
Default
falsebuyerIsGv*boolean
Default
falsebankAccount?string
Length
length <= 100bankAccountSwift?string
Length
length <= 11currencyCode?string|null
paymentMethod?|
Value in
- "cash"
- "transfer"
- "transfer_and_cash"
- "barter"
- "prepayment_transfer"
- "card"
- "voucher"
- "check"
- "credit"
- "mobile"
alreadyPaid?|
Format
floattoPay?|
Format
floatdescription?string
Length
length <= 5000financeProject?|
Format
uuidfinanceStage?|
Format
uuidfinanceBoard?|
Format
uuidfinanceTask?|
Format
uuiditems?array<>|null
thirdParties?array<>
posted*|
Default
falseisDraft*boolean
Default
trueisSplitPayment*boolean
Default
falseisReverseCharge*boolean
Default
falseisCashAccounting*boolean
Default
falseinvoice?|
Format
uuidprevItems?array<>|null
fileGeneratedLanguage*string
Length
length <= 10Value in
- "pl"
- "en"
- "de"
- "it"
exchangeRate?|
Format
floatRange
0 <= value <= 99.9999exchangeDate?|
Format
dateResponse Body
curl -X POST "https://example.com/finance/invoices" \ -H "Content-Type: application/json" \ -d '{ "invoiceType": "fv", "direction": "income", "buyerIsJst": false, "buyerIsGv": false, "posted": false, "isDraft": true, "isSplitPayment": false, "isReverseCharge": false, "isCashAccounting": false, "fileGeneratedLanguage": "pl" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ksefStatus": 0, "ksefStatusDescription": "string", "ksefMarker": "NrKSeF", "no": "string", "docTitle": "string", "saleDate": "2019-08-24T14:15:22Z", "issueDate": "2019-08-24T14:15:22Z", "deadlineDate": "2019-08-24T14:15:22Z", "issuedPlace": "string", "invoiceType": "fv", "direction": "income", "sellerName": "string", "sellerIdentifier": "string", "sellerStreet": "string", "sellerZipCode": "string", "sellerCity": "string", "sellerCreatorName": "string", "sellerId": "2b5cb5ab-0f11-4d75-8f0a-a6d87a9d534e", "buyerId": "7925fb6c-1391-458a-9144-275078d9f24b", "buyerContractorName": "string", "buyerName": "string", "buyerIdentifier": "string", "buyerIdentifierType": "nip", "buyerStreet": "string", "buyerZipCode": "string", "buyerCity": "string", "buyerCountryCode": "st", "buyerRecipientName": "string", "buyerAccountingEmail": "string", "buyerIsJst": true, "buyerIsGv": true, "bankAccount": "string", "bankAccountSwift": "string", "currencyCode": "str", "paymentMethod": "cash", "alreadyPaid": 0, "toPay": 0, "netAmount": 0.1, "vatAmount": 0.1, "grossAmount": 0.1, "hasIncome": false, "hasCost": false, "invoice": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "no": "string", "docTitle": "string", "saleDate": "2019-08-24T14:15:22Z", "issueDate": "2019-08-24T14:15:22Z", "deadlineDate": "2019-08-24T14:15:22Z", "issuedPlace": "string", "invoiceType": "fv", "sellerName": "string", "sellerVatId": "string", "sellerStreet": "string", "sellerZipCode": "string", "sellerCity": "string", "sellerCreatorName": "string", "buyerId": "7925fb6c-1391-458a-9144-275078d9f24b", "buyerContractorName": "string", "buyerName": "string", "buyerVatId": "string", "buyerStreet": "string", "buyerZipCode": "string", "buyerCity": "string", "bankAccount": "string", "currencyCode": "str", "paymentMethod": "cash", "alreadyPaid": 0, "toPay": 0, "netAmount": 0, "vatAmount": 0, "grossAmount": 0, "description": "string", "posted": false, "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "isUpdated": false, "updatedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "updatedAt": "2019-08-24T14:15:22Z", "items": [ { "order": 0, "positionName": "string", "unit": "string", "count": 0, "priceUnit": 0, "tax": "string", "netAmount": 0, "vatAmount": 0, "grossAmount": 0, "gtu": "string" } ], "numbering": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "fv", "pattern": "string", "resetInterval": "P1M", "leadingZero": 0, "isDefault": true, "docTitle": "string", "closestCounter": null }, "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true } }, "corrects": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ksefStatus": 0, "ksefStatusDescription": "string", "no": "string", "docTitle": "string", "saleDate": "2019-08-24T14:15:22Z", "issueDate": "2019-08-24T14:15:22Z", "deadlineDate": "2019-08-24T14:15:22Z", "issuedPlace": "string", "invoiceType": "fv", "sellerName": "string", "sellerIdentifier": "string", "sellerStreet": "string", "sellerZipCode": "string", "sellerCity": "string", "sellerCreatorName": "string", "buyerId": "7925fb6c-1391-458a-9144-275078d9f24b", "buyerContractorName": "string", "buyerName": "string", "buyerIdentifier": "string", "buyerStreet": "string", "buyerZipCode": "string", "buyerCity": "string", "bankAccount": "string", "currencyCode": "str", "paymentMethod": "cash", "alreadyPaid": 0, "toPay": 0, "netAmount": 0, "vatAmount": 0, "grossAmount": 0, "description": "string", "posted": false, "external": true, "isDraft": true, "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "isUpdated": false, "updatedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "updatedAt": "2019-08-24T14:15:22Z", "items": [ { "order": 0, "positionName": "string", "unit": "string", "count": 0, "priceUnit": 0, "tax": "string", "netAmount": 0, "vatAmount": 0, "grossAmount": 0, "gtu": "string" } ], "prevItems": [ { "order": 0, "positionName": "string", "unit": "string", "count": 0, "priceUnit": 0, "tax": "string", "netAmount": 0, "vatAmount": 0, "grossAmount": 0, "gtu": "string" } ], "prevCorrect": {}, "isLastCorrect": true, "fileGenerated": false, "duplicateFileGenerated": false, "numbering": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "fv", "pattern": "string", "resetInterval": "P1M", "leadingZero": 0, "isDefault": true, "docTitle": "string", "closestCounter": null }, "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true }, "financeBoard": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true }, "financeStage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true } } } } ], "description": "string", "posted": true, "external": true, "numbering": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "fv", "pattern": "string", "resetInterval": "P1M", "leadingZero": 0, "isDefault": true, "docTitle": "string", "closestCounter": null }, "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true }, "financeStage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true } }, "financeBoard": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true }, "financeStage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true } } }, "financeTask": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "number": 0, "shortCode": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true }, "financeStage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true } }, "financeBoard": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true }, "financeStage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true } } } }, "isDraft": true, "isSplitPayment": true, "isReverseCharge": true, "isCashAccounting": true, "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "isUpdated": false, "updatedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "updatedAt": "2019-08-24T14:15:22Z", "items": [ { "identifier": 0, "positionName": "string", "unit": "string", "count": 0, "priceUnit": 0, "tax": "string", "netAmount": 0, "vatAmount": 0, "grossAmount": 0, "gtu": "string" } ], "prevItems": [ { "order": 0, "positionName": "string", "unit": "string", "count": 0, "priceUnit": 0, "tax": "string", "netAmount": 0, "vatAmount": 0, "grossAmount": 0, "gtu": "string" } ], "costs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "priceNet": 0.1, "priceGross": 0.1, "costType": "manually", "date": "2019-08-24T14:15:22Z" } ], "incomes": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "priceNet": 0.1, "priceGross": 0.1, "incomeType": "manually", "date": "2019-08-24T14:15:22Z" } ], "thirdParties": [ "string" ], "prevCorrect": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ksefStatus": 0, "ksefStatusDescription": "string", "no": "string", "docTitle": "string", "saleDate": "2019-08-24T14:15:22Z", "issueDate": "2019-08-24T14:15:22Z", "deadlineDate": "2019-08-24T14:15:22Z", "issuedPlace": "string", "invoiceType": "fv", "sellerName": "string", "sellerIdentifier": "string", "sellerStreet": "string", "sellerZipCode": "string", "sellerCity": "string", "sellerCreatorName": "string", "buyerId": "7925fb6c-1391-458a-9144-275078d9f24b", "buyerContractorName": "string", "buyerName": "string", "buyerIdentifier": "string", "buyerStreet": "string", "buyerZipCode": "string", "buyerCity": "string", "bankAccount": "string", "currencyCode": "str", "paymentMethod": "cash", "alreadyPaid": 0, "toPay": 0, "netAmount": 0, "vatAmount": 0, "grossAmount": 0, "description": "string", "posted": false, "external": true, "isDraft": true, "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "isUpdated": false, "updatedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "updatedAt": "2019-08-24T14:15:22Z", "items": [ { "order": 0, "positionName": "string", "unit": "string", "count": 0, "priceUnit": 0, "tax": "string", "netAmount": 0, "vatAmount": 0, "grossAmount": 0, "gtu": "string" } ], "prevItems": [ { "order": 0, "positionName": "string", "unit": "string", "count": 0, "priceUnit": 0, "tax": "string", "netAmount": 0, "vatAmount": 0, "grossAmount": 0, "gtu": "string" } ], "prevCorrect": {}, "isLastCorrect": true, "fileGenerated": false, "duplicateFileGenerated": false, "numbering": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "fv", "pattern": "string", "resetInterval": "P1M", "leadingZero": 0, "isDefault": true, "docTitle": "string", "closestCounter": null }, "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true }, "financeBoard": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true }, "financeStage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "financeProject": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": "string", "isSimple": true } } } }, "fileGeneratedLanguage": "pl", "fileGenerated": false, "duplicateFileGenerated": false, "exchangeRate": 0, "exchangeDate": "2019-08-24T14:15:22Z"}